#include <pic.h>
#include "delay.h"

	__CONFIG(0x03F73);				

__EEPROM_DATA(50,0,0,0,0,0,0,0);

const char SegCode[11] = {0,1,2,3,4,5,6,7,8,9};
volatile char ButtonPress = 0;
volatile char ButtonPress1 = 0;
char raz_1,raz_2;
unsigned char res =5;

//***************************************************************

//  Interrupt Handler
void interrupt tmr0_int(void)		//  TMR0 Interrupt Handler
{
	if (T0IF) {
		T0IF = 0;			//  Reset Interrupt Flag

//   --------------------------

	if (RB4==1) 
		{RB4=0;
         RB5=1;
        PORTA= SegCode[raz_1];}
    else
        {RB5=0;
         RB4=1;
        PORTA= SegCode[raz_2];}


//    ----------------------

		if (!RB0) 			//  Button Pressed
			if (ButtonPress < 20)	//  Button Press being debounced
				ButtonPress++;
			else;			//  Button Pressed for 20 msecs
		else				//  Button Released
			if (ButtonPress != 0)	//  Button Release being debounced
				ButtonPress--;
			else;			//  Button released for more than 20 msecs
			
	///////////////////////////////////////////////		
		
		if (!RB1) 			//  Button Pressed
			if (ButtonPress1 < 20)	//  Button Press being debounced
				ButtonPress1++;
			else;			//  Button Pressed for 20 msecs
		else				//  Button Released
			if (ButtonPress1 != 0)	//  Button Release being debounced
				ButtonPress1--;
			else;			//  Button released for more than 20 msecs
			
		///////////////////////////////////
	}  //  endif


}  //  End Interrupt Handler



//***************************************************************
//***************************************************************
//***************************************************************

//  Mainline
void main(void)				//  Template Mainline
{
    TRISA=0;
    TRISB=0;
    TRISB0=1;
    TRISB1=1;
	TMR0 = 0;				//  Reset the Timer for Start
	OPTION = 0x0D1;			//  Assign Prescaler to TMR0
						//   Prescaler is /4
	T0IE = 1;				//  Enable Timer Interrupts
	GIE = 1;				//  Enable Interrupts
    RB4=1;

res  = eeprom_read(0); //    EEPROM

	while (1 == 1) {		

//----------------------------------------

	if(ButtonPress==20){res++;   eeprom_write(0,res);}  //    EEPROM
	if(ButtonPress1==20){res--;  eeprom_write(0,res);}  //    EEPROM
      
//----------------------------------------

if (res>99)
	res = 99;
if (res<1)
    res = 1;
 
 raz_1=((res%10));
 raz_2=((res/10));

DelayMs(50);
	}  //  endwhile

}  //  End of Mainline
